// Created By:
// Apple-Group Development Team
// http://www.apple-group.com
// March 2008

function showFeedList(event)
{
    if (!Open) {
		document.getElementById(formerFsStyleID).style.display = '';
		setupFeedList();
		document.getElementById(formerLStyleID).setAttribute("id", ("leftBar-Open-" + style));
		document.getElementById(formerMStyleID).setAttribute("id", ("rssContentArea-Open-" + style));
		formerMStyleID = ("rssContentArea-Open-" + style);
		formerLStyleID = ("leftBar-Open-" + style);

		Open = true;
	}
	else {
		document.getElementById(formerFsStyleID).style.display = 'none';
		document.getElementById(formerLStyleID).setAttribute("id", ("leftBar-" + style));
		document.getElementById(formerMStyleID).setAttribute("id", ("rssContentArea-" + style));
		formerMStyleID = ("rssContentArea-" + style);
		formerLStyleID = ("leftBar-" + style);
		
		clearFeedsList();
		Open = false;
	}
}

function setupFeedList()
{
	if (favoriteFeeds.length > 0) {
		var contentElement = document.getElementById("feedContent");
		for (var i = 0; i < favoriteFeeds.length; ++i) {
			var temp = new Array();
			temp = favoriteFeeds[i].split('/');
			if (temp[2] == null){
				var row = createFRow(favoriteFeeds[i], i);
			}
			else {
				var row = createFRow(temp[2], i);
			}
			contentElement.appendChild(row);
		}
		refreshFeedContentArea();
	}
}

function getShortName(url)
{
    var temp = new Array();
    temp = url.split('/');
    
    if (temp[2] == null) {
        var shortName = url;
    }
    else {
        var shortName = temp[2];
    }
    
    temp = new Array();
    temp = shortName.split('.');
    
    //if (temp[temp.length - 1] != "uk") {
    if (temp[temp.length - 1].length > 2) {
        return (temp[temp.length - 2].toUpperCase());
    }
    else {
        return (temp[temp.length - 3].toUpperCase());
    }

    /*
    while ((temp[i] != 'com') || (temp[i] != 'org') || (temp[i] != 'co') || (temp[i] != 'gov') || (temp[i] != 'edu') || (temp[i] != 'net')
            || (temp[i] != 'biz') || (temp[i] != 'mil') || (temp[i] != 'museum') || (temp[i] != 'travel') || (temp[i] != 'info')
            || (temp[i] != 'au') || (temp[i] != 'be')  || (temp[i] != 'fr') || (temp[i] != 'de')) {
            
    alert('enter');
    while ((temp[i] == 'com') || (temp[i] == 'org') || (temp[i] == 'co') || (temp[i] == 'gov') || (temp[i] == 'edu') || (temp[i] == 'net')
            || (temp[i] == 'biz') || (temp[i] == 'mil') || (temp[i] == 'museum') || (temp[i] == 'travel') || (temp[i] == 'info')
            || (temp[i] == 'au') || (temp[i] == 'be')  || (temp[i] == 'fr') || (temp[i] == 'de')) {
    */
}

function createFRow(feed, index)
{
    var option = document.createElement("div");
	if (isAlt) {
		option.setAttribute("class", ("feed-" + style + " ") + (index % 2 ? ("ev-" + style) : ("od-" + style)));
		}
	else {
		option.setAttribute("class", ("feed-" + style + " ") + ("na-" + style));
	}
	
    if (index > 0) {
        var articleseparator = document.createElement("div");
        articleseparator.setAttribute("class", ("feedseparator-" + style));
        option.appendChild(articleseparator);
    }

    var articlehead;
	articlehead = document.createElement("z");
	articlehead.setAttribute("href", '');
    articlehead.setAttribute("class", ("feedhead-" + style));

    var subjectElt = makeEntryDiv(feed);
    subjectElt.setAttribute("class", ("fsubject-" + style));
    articlehead.appendChild(subjectElt);

	option.setAttribute("onclick", "feedWasClicked(event, " + index + ");");
	option.appendChild(articlehead);
	
    return option;
}

function clearFeedsList()
{
    var content = document.getElementById("feedContent");

    if (content) {
        while (content.hasChildNodes()) {
            content.removeChild(content.firstChild);
        }
    }
}

function getTimeString(theDate)
{
	var theString;
	var temp = new Array();
	temp = theDate.toString().split(' ');
	theString = temp[4];
	temp = theString.split(':');
	if (temp[0] > 12) {
		theString = ((temp[0]-12) + ':' + temp[1] + '.' + temp[2] + " PM");
	}
	else {
		theString = (temp[0] + ':' + temp[1] + '.' + temp[2] + " AM");
	}
	temp = null;
	return theString;
}

function updateTitle()
{
    if (firstLoad) {
        document.getElementById('theTitle').innerText = 'RSS Feed: ' + feed.title;
    }
    else { 
        document.getElementById('theTitle-' + style).innerText = 'RSS Feed: ' + feed.title;
    }
}

function reloadClicked(event)
{
    refreshFeed();
}

function feedWasClicked(event, index)
{
	setFeedSource(favoriteFeeds[index]);
    saveFeedPreference();
	refreshFeed();
}

function refreshFeedContentArea()
{
    var contentarea = document.getElementById(formerFsStyleID);
    if (contentarea) contentarea.object.refresh();
}